.. contents::

The images used in this site
============================

Feel welcome to reuse and modify these images for your own purposes, as
long as you comply with the (fairly relaxed) license, as per the topic
at the bottom of this page.


Git repository
==============

Browsable online:

::

    http://libvirt.org/git/?p=libvirt-media.git;a=summary

Using git directly:

::

    git clone git://libvirt.org/libvirt-media.git


Visual list
===========

libvirt.org Logo
----------------

`SVG
source <http://libvirt.org/git/?p=libvirt-publican.git;a=blob_plain;f=en-US/images/image_left.svg;hb=HEAD>`__

.. image:: images/Libvirt_logo.png


Certificates and keys
---------------------

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_certtool.svg;hb=HEAD>`__

.. image:: images/Tls_ca_certificate.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_ca_private_key.svg;hb=HEAD>`__

.. image:: images/Tls_ca_private_key.png


Template files
--------------

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_host1_template_file.svg;hb=HEAD>`__

.. image:: images/Tls_host1_template_file.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_host2_template_file.svg;hb=HEAD>`__

.. image:: images/Tls_host2_template_file.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_template_file.svg;hb=HEAD>`__

.. image:: images/Tls_template_file.png


Trash cans
----------

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_template_file_in_trash.svg;hb=HEAD>`__

.. image:: images/Tls_template_file_in_trash.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_template_files_in_trash.svg;hb=HEAD>`__

.. image:: images/Tls_template_files_in_trash.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_three_template_files_in_trash.svg;hb=HEAD>`__

.. image:: images/Tls_three_template_files_in_trash.png


Access control
--------------

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/ssh_libvirt_socket_access_control.svg;hb=HEAD>`__

.. image:: images/Ssh_libvirt_socket_access_control.png


CA Certificate transfers
------------------------

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_ca_cert_transfer_to_host1.svg;hb=HEAD>`__

.. image:: images/Tls_ca_cert_transfer_to_host1.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_ca_cert_transfer_to_host2.svg;hb=HEAD>`__

.. image:: images/Tls_ca_cert_transfer_to_host2.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_ca_cert_transfer_to_admin_desktop.svg;hb=HEAD>`__

.. image:: images/Tls_ca_cert_transfer_to_admin_desktop.png


Computers
---------

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_small_two_hosts.svg;hb=HEAD>`__

.. image:: images/Tls_small_two_hosts.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_small_admin_desktop_and_both_hosts.svg;hb=HEAD>`__

.. image:: images/Tls_small_admin_desktop_and_both_hosts.png


Creating template files
-----------------------

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_text_editor_creates_template_file.svg;hb=HEAD>`__

.. image:: images/Tls_text_editor_creates_template_file.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_text_editor_creates_template_files.svg;hb=HEAD>`__

.. image:: images/Tls_text_editor_creates_template_files.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_text_editor_creates_template_files_for_both_hosts_and_admin_desktop.svg;hb=HEAD>`__

.. image:: images/Tls_text_editor_creates_three_template_files.png


Certificates with path names
----------------------------

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_ca_cert_on_all_three_computers.svg;hb=HEAD>`__

.. image:: images/Tls_ca_cert_on_all_three_computers.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_server_cert_on_both_hosts.svg;hb=HEAD>`__

.. image:: images/Tls_server_cert_on_both_hosts.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_client_cert_on_both_hosts_and_admin_desktop.svg;hb=HEAD>`__

.. image:: images/Tls_client_cert_on_both_hosts_and_admin_desktop.png


certtool creating things
------------------------

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_certtool_creates_ca_key.svg;hb=HEAD>`__

.. image:: images/Tls_certtool_creates_ca_key.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_certtool_creates_host1_server_key.svg;hb=HEAD>`__

.. image:: images/Tls_certtool_creates_host1_server_key.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_certtool_creates_host2_server_key.svg;hb=HEAD>`__

.. image:: images/Tls_certtool_creates_host2_server_key.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_certtool_creates_server_keys.svg;hb=HEAD>`__

.. image:: images/Tls_certtool_creates_server_keys.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_certtool_creates_three_client_keys.svg;hb=HEAD>`__

.. image:: images/Tls_certtool_creates_three_client_keys.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_certtool_creates_ca_cert.svg;hb=HEAD>`__

.. image:: images/Tls_certtool_creates_ca_cert.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_certtool_creates_server_certs.svg;hb=HEAD>`__

.. image:: images/Tls_certtool_creates_server_certs.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_certtool_creates_three_client_certs.svg;hb=HEAD>`__

.. image:: images/Tls_certtool_creates_three_client_certs.png


Unsorted
--------

.. image:: images/Tls_small_testing_connection_host1_to_host2.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_small_testing_connection_host1_to_host2.svg;hb=HEAD>`__

.. image:: images/Tls_small_testing_connection_host2_to_host1.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_small_testing_connection_host2_to_host1.svg;hb=HEAD>`__

.. image:: images/Tls_small_admin_desktop_to_both_hosts.png

missing - needs to be recreated

.. image:: images/Tls_concepts_basic_client_to_server.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_concepts_basic_client_to_server.svg;hb=HEAD>`__

.. image:: images/Tls_concepts_basic_client_cert_to_server_cert.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_concepts_basic_client_cert_to_server_cert.svg;hb=HEAD>`__

.. image:: images/Tls_concepts_basic_client_and_server_with_both_certs.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_concepts_basic_client_and_server_with_both_certs.svg;hb=HEAD>`__

.. image:: images/Tls_concepts_host1_and_host2_with_both_certs.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_concepts_host1_and_host2_with_both_certs.svg;hb=HEAD>`__

.. image:: images/Tls_concepts_admin_client_and_both_servers.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_concepts_admin_client_and_both_servers.svg;hb=HEAD>`__

.. image:: images/Tls_concepts_host1_with_both_certs_and_keys.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_concepts_host1_with_both_certs_and_keys.svg;hb=HEAD>`__

.. image:: images/Tls_concepts_ca_cert_signs_other_certs.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_concepts_ca_cert_signs_other_certs.svg;hb=HEAD>`__

.. image:: images/Tls_ca_cert_needing_transfer_to_all_three_computers.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_ca_cert_needing_transfer_to_all_three_computers.svg;hb=HEAD>`__

.. image:: images/Tls_server_certs_needing_transfer.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_server_certs_needing_transfer.svg;hb=HEAD>`__

.. image:: images/Tls_server_cert_transfer_to_host1.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_server_cert_transfer_to_host1.svg;hb=HEAD>`__

.. image:: images/Tls_server_cert_transfer_to_host2.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_server_cert_transfer_to_host2.svg;hb=HEAD>`__

.. image:: images/Tls_client_certs_needing_transfer.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_client_certs_needing_transfer.svg;hb=HEAD>`__

.. image:: images/Tls_client_cert_transfer_to_host1.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_client_cert_transfer_to_host1.svg;hb=HEAD>`__

.. image:: images/Tls_client_cert_transfer_to_host2.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_client_cert_transfer_to_host2.svg;hb=HEAD>`__

.. image:: images/Tls_client_cert_transfer_to_admin_desktop.png

`SVG
source <http://libvirt.org/git/?p=libvirt-media.git;a=blob_plain;f=svg/tls_client_cert_transfer_to_admin_desktop.svg;hb=HEAD>`__


License
=======

Copyright © 2010 Red Hat, Inc.

The works in this document are licensed by Red Hat under a Creative
Commons Attribution–Share Alike 3.0 Unported license ("CC-BY-SA"),
unless otherwise noted.

An explanation of CC-BY-SA is available at:

::

    http://creativecommons.org/licenses/by-sa/3.0/

The original authors of these works, and Red Hat, designate the libvirt
Project as the "Attribution Party" for purposes of CC-BY-SA. In
accordance with CC-BY-SA, if you distribute these works or an adaptation
of them, you must provide the URL for the original version.

Red Hat, as the licensor of these works, waives the right to enforce,
and agrees not to assert, Section 4d of CC-BY-SA to the fullest extent
permitted by applicable law.
